import { Controller, Get } from '@nestjs/common';
import { SystemService, SystemHealthResponse } from './system.service';
import { Public } from '../common/decorators/public.decorator';

@Controller('system')
export class SystemController {
  constructor(private readonly systemService: SystemService) {}

  @Public()
  @Get('health')
  async getHealth(): Promise<SystemHealthResponse> {
    return this.systemService.getHealth();
  }
}
